> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Media Item by ID

> Retrieves a media item (image, video, or file) by its ID



## OpenAPI

````yaml /swagger/dam-api.json get /api/v1/{app_id}/folders/{folder_id}/media/{media_id}
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API Support
  description: This is the swagger for Enads Digital Assets Management service
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms
  title: Digital Assets Management
  version: '1.0'
servers:
  - url: //dam.enad.io
security: []
paths:
  /api/v1/{app_id}/folders/{folder_id}/media/{media_id}:
    get:
      tags:
        - Media
      summary: Get Media Item by ID
      description: Retrieves a media item (image, video, or file) by its ID
      parameters:
        - description: App ID
          in: path
          name: app_id
          required: true
          schema:
            type: string
        - description: Folder ID
          in: path
          name: folder_id
          required: true
          schema:
            type: string
        - description: Media ID
          in: path
          name: media_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Media item retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OkResponseMediaItem'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: 'Forbidden: Folder is not public'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Media item not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    OkResponseMediaItem:
      properties:
        data:
          $ref: '#/components/schemas/internal_pkg_webserver_v1.MediaItemResponse'
        success:
          type: boolean
      type: object
    ErrorResponse:
      properties:
        details:
          items:
            type: string
          type: array
        error:
          type: string
      type: object
    internal_pkg_webserver_v1.MediaItemResponse:
      properties:
        alt_text:
          type: string
        attributes:
          items:
            $ref: '#/components/schemas/AttributeResponse'
          type: array
        blurhash:
          type: string
        copyright:
          type: string
        created_at:
          type: string
        custom:
          items:
            type: integer
          type: array
        description:
          type: string
        file_type:
          type: string
        folder:
          $ref: '#/components/schemas/FolderRef'
        id:
          type: string
        status:
          type: string
        title:
          type: string
        translations:
          additionalProperties:
            type: string
          type: object
        type:
          type: string
        updated_at:
          type: string
        url:
          type: string
        variants:
          items:
            $ref: '#/components/schemas/VideoVariantResponse'
          type: array
      type: object
    AttributeResponse:
      properties:
        description:
          type: string
        id:
          type: string
        key:
          type: string
        name:
          type: string
        values:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeValueResponse'
            type: array
          type: object
      type: object
    FolderRef:
      properties:
        id:
          type: string
        name:
          type: string
        public:
          type: boolean
        slug:
          type: string
      type: object
    VideoVariantResponse:
      properties:
        created_at:
          type: string
        format:
          type: string
        height:
          type: integer
        id:
          type: string
        updated_at:
          type: string
        url:
          type: string
        width:
          type: integer
      type: object
    AttributeValueResponse:
      properties:
        type:
          type: string
        value:
          type: string
      type: object

````